# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.ue_coordinates import UeCoordinates  # noqa: F401,E501
from swagger_server import util


class UeGnbAllocation(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, ue_coordinates: UeCoordinates=None, ue_index: int=None, ue_traffic_profile: int=None, ue_connected_gnb_index: int=None):  # noqa: E501
        """UeGnbAllocation - a model defined in Swagger

        :param ue_coordinates: The ue_coordinates of this UeGnbAllocation.  # noqa: E501
        :type ue_coordinates: UeCoordinates
        :param ue_index: The ue_index of this UeGnbAllocation.  # noqa: E501
        :type ue_index: int
        :param ue_traffic_profile: The ue_traffic_profile of this UeGnbAllocation.  # noqa: E501
        :type ue_traffic_profile: int
        :param ue_connected_gnb_index: The ue_connected_gnb_index of this UeGnbAllocation.  # noqa: E501
        :type ue_connected_gnb_index: int
        """
        self.swagger_types = {
            'ue_coordinates': UeCoordinates,
            'ue_index': int,
            'ue_traffic_profile': int,
            'ue_connected_gnb_index': int
        }

        self.attribute_map = {
            'ue_coordinates': 'ue-coordinates',
            'ue_index': 'ue-index',
            'ue_traffic_profile': 'ue-traffic-profile',
            'ue_connected_gnb_index': 'ue-connected-gnb-index'
        }
        self._ue_coordinates = ue_coordinates
        self._ue_index = ue_index
        self._ue_traffic_profile = ue_traffic_profile
        self._ue_connected_gnb_index = ue_connected_gnb_index

    @classmethod
    def from_dict(cls, dikt) -> 'UeGnbAllocation':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The ue-gnb-allocation of this UeGnbAllocation.  # noqa: E501
        :rtype: UeGnbAllocation
        """
        return util.deserialize_model(dikt, cls)

    @property
    def ue_coordinates(self) -> UeCoordinates:
        """Gets the ue_coordinates of this UeGnbAllocation.


        :return: The ue_coordinates of this UeGnbAllocation.
        :rtype: UeCoordinates
        """
        return self._ue_coordinates

    @ue_coordinates.setter
    def ue_coordinates(self, ue_coordinates: UeCoordinates):
        """Sets the ue_coordinates of this UeGnbAllocation.


        :param ue_coordinates: The ue_coordinates of this UeGnbAllocation.
        :type ue_coordinates: UeCoordinates
        """

        self._ue_coordinates = ue_coordinates

    @property
    def ue_index(self) -> int:
        """Gets the ue_index of this UeGnbAllocation.


        :return: The ue_index of this UeGnbAllocation.
        :rtype: int
        """
        return self._ue_index

    @ue_index.setter
    def ue_index(self, ue_index: int):
        """Sets the ue_index of this UeGnbAllocation.


        :param ue_index: The ue_index of this UeGnbAllocation.
        :type ue_index: int
        """

        self._ue_index = ue_index

    @property
    def ue_traffic_profile(self) -> int:
        """Gets the ue_traffic_profile of this UeGnbAllocation.


        :return: The ue_traffic_profile of this UeGnbAllocation.
        :rtype: int
        """
        return self._ue_traffic_profile

    @ue_traffic_profile.setter
    def ue_traffic_profile(self, ue_traffic_profile: int):
        """Sets the ue_traffic_profile of this UeGnbAllocation.


        :param ue_traffic_profile: The ue_traffic_profile of this UeGnbAllocation.
        :type ue_traffic_profile: int
        """

        self._ue_traffic_profile = ue_traffic_profile

    @property
    def ue_connected_gnb_index(self) -> int:
        """Gets the ue_connected_gnb_index of this UeGnbAllocation.


        :return: The ue_connected_gnb_index of this UeGnbAllocation.
        :rtype: int
        """
        return self._ue_connected_gnb_index

    @ue_connected_gnb_index.setter
    def ue_connected_gnb_index(self, ue_connected_gnb_index: int):
        """Sets the ue_connected_gnb_index of this UeGnbAllocation.


        :param ue_connected_gnb_index: The ue_connected_gnb_index of this UeGnbAllocation.
        :type ue_connected_gnb_index: int
        """

        self._ue_connected_gnb_index = ue_connected_gnb_index
